/*
 * Copyright (C) 2002 Jan Panteltje <panteltje@yahoo.com>,
 * based on dvdauthor by Scott Smith (trckjunky@users.sourceforge.net) 
 * added multiple audio and subpicture channels.
 *
 * Modified and copy right Jan Panteltje 2002
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 */

#ifndef _DVDAUTHOR_PROTO_H
#define _DVDAUTHOR_PROTO_H

extern char *strsave(char *s); /*save char array s somewhere*/
extern int set_audio_mode(char *buffer, int pos, char *language_str);
extern int set_subpicture_mode(char *buffer, int pos, char *language_str);
extern int set_video_mode();

#endif /* _DVDAUTHOR_PROTO_H */
