/*
 * Copyright (C) 2002 Jan Panteltje <panteltje@yahoo.com>,
 * based on dvdauthor by Scott Smith (trckjunky@users.sourceforge.net) 
 * added multiple audio and subpicture channels.
 *
 * Modified and copy right Jan Panteltje 2002
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 */

#ifndef _DVDAUTHOR_H_
#define _DVDAUTHOR_H_

int debug_flag;
int video_mode0, video_mode1;
int videoattr; // done by setattr() = 0x4300;
int audio_streams;
int subpicture_streams;
int tvflag; // 0 = ntsc, 1 = pal

#include "dvdauthor_proto.h"

#define VERSION "0.4"

#endif /* _DVDAUTHOR_H_ */
